Ticket #42195

AI: Increase want for gold producing improvements when short of gold

Open Date: 2021-05-07 22:47 Last Update: 2021-05-17 23:45

Reporter:
Owner:
Type:
Status:
Closed
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
2

Details

Patch attached to #42191 does not resolve that ticket, but would be good idea otherwise. It does not fix that hard error in civ2civ3, but in classic ruleset that does not suffer from similar issue the patch seems to improve AI (result from initial autogame tests).

Increase the want factor for gold when evaluating improvements to build. Note that for most improvements that want is negative due to maintenance cost.

Ticket History (3/8 Histories)

2021-05-07 22:47 Updated by: cazfi
  • New Ticket "AI: Increase want for gold producing improvements when short of gold" created
2021-05-08 07:06 Updated by: alain_bkr
Comment
(Edited, 2021-05-08 17:55 Updated by: alain_bkr)
2021-05-08 18:37 Updated by: chippo
Comment

I reported (in ticket #42191) that this patch didn't seem to do anything. After more testing, it appears to help some. Not all AIs are going into tax-lock and some are coming out of it sooner.

2021-05-09 18:51 Updated by: cazfi
Comment

Patches attached to this ticket too, with updated commit message.

2021-05-09 18:51 Updated by: cazfi
  • Resolution Update from None to Accepted
2021-05-17 23:45 Updated by: cazfi
  • Status Update from Open to Closed
  • Owner Update from (None) to cazfi
  • Resolution Update from Accepted to Fixed

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login